Skip to content
POST/{organizationId}/{mandateId}/finance/accounting/postings/export/datev

Export postings to Datev

Exports postings to a Datev "Buchungsstapel" CSV file. If more than 1000 records are found, it will be sent via email.

Required permissions:

  • mandate.read

  • posting.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

Default: {"useCollectiveAccountForDebtors":false,"useCollectiveAccountForCreditors":false,"merge":false}

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounting/postings/export/datev
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/postings/export/datev' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "range": {
    "from": {
      "year": 2000,
      "monthIndex": 1
    },
    "to": {
      "year": 2000,
      "monthIndex": 1
    }
  }
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Response

200
{
  "postings": -9007199254740991,
  "csv": [
    [
      "string"
    ]
  ],
  "fileName": "string"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}